# tmr_llrp_reader.h File Reference

Mercury API - LLRP Reader interface. More...

`#include <pthread.h>`
`#include <semaphore.h>`
`#include "tmr_region.h"`
`#include "tmr_tag_protocol.h"`
`#include "tmr_serial_transport.h"`
`#include "tmr_params.h"`
`#include "ltkc.h"`
`#include "tm_ltkc.h"`

## Classes

struct | TMR_LLRP_RFControl
struct | TMR_LLRP_C1G2RFModeTable
struct | TMR_LLRP_ReaderCapabilities
struct | ROSpecProtocolTable
struct | TMR_LLRP_UnhandledAsyncResponse
struct | TMR_LLRP_LlrpReader

## Typedefs

typedef struct TMR_LLRP_RFControl | TMR_LLRP_RFControl
typedef struct TMR_LLRP_C1G2RFModeTable | TMR_LLRP_C1G2RFModeTable
typedef struct TMR_LLRP_ReaderCapabilities | TMR_LLRP_ReaderCapabilities
typedef struct ROSpecProtocolTable | ROSpecProtocolTable
typedef struct TMR_LLRP_UnhandledAsyncResponse | TMR_LLRP_UnhandledAsyncResponse
typedef struct TMR_LLRP_LlrpReader | TMR_LLRP_LlrpReader

## Functions

TMR_Status | TMR_LLRP_LlrpReader_init (TMR_Reader *reader)

## Detailed Description

Mercury API - LLRP Reader interface.

Author:
  Somu

Date:
  05/23/2011

## Typedef Documentation

typedef struct ROSpecProtocolTable ROSpecProtocolTable

This struture used to moniter the protocol in read plan

typedef struct TMR_LLRP_C1G2RFModeTable TMR_LLRP_C1G2RFModeTable

Gen2 RF Mode Table structure. Currently we use only BLF and Encoding from RF Mode table.

typedef struct TMR_LLRP_LlrpReader TMR_LLRP_LlrpReader

LLRP reader structure

typedef struct TMR_LLRP_ReaderCapabilities TMR_LLRP_ReaderCapabilities

This structure is returned from cmdGetReaderCapabilities.

typedef struct TMR_LLRP_RFControl TMR_LLRP_RFControl

This structure is returned from cmdGetRFControl

typedef struct TMR_LLRP_UnhandledAsyncResponse TMR_LLRP_UnhandledAsyncResponse

This is the structure used to store the unhandled async response

## Function Documentation

TMR_Status TMR_LLRP_LlrpReader_init | ( | TMR_Reader * | reader | ) |

Initialize LLRP reader.